Allow updating R packages installed from git repos
Closed, ResolvedPublic2 Story Points

Description

Unfortunately the built-in update.packages function in R only works for packages installed from CRAN but doesn't check/update packages installed using devtools from GitHub/Gerrit.

We need an update_packages or a devtools::update_packages() that checks package version in the remote repo and installs the new version if necessary. Then we can run this function so that beta/production always have latest version of polloi

mpopov created this task.Nov 4 2015, 7:48 PM
mpopov updated the task description. (Show Details)
mpopov raised the priority of this task from to High.
mpopov added a project: Discovery.
mpopov added a subscriber: mpopov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2015, 7:48 PM
mpopov moved this task from Needs triage to Analysis on the Discovery board.Nov 4 2015, 7:48 PM
mpopov claimed this task.Nov 6 2015, 12:26 AM
mpopov set Security to None.
mpopov edited projects, added Discovery-Analysis (Current work); removed Discovery.
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov edited a custom field.
Deskana closed this task as Resolved.Dec 18 2015, 12:30 AM
Deskana added a subscriber: Deskana.

I'll just assume this is working. :-)